Subject: Re: [EXTERNAL] [BULK] [J3] [SC22WG5.6732] Upcoming new ISO directives

From: Steve Lionel <[email-masked]>
Date: Thu, 7 May 2026 13:18:41 -0400

Hi Tom,

Officially, the standard is just "Fortran",  as you won't find "Fortran 
2023" anywhere in the ISO document, but you raise an interesting point. 
The identifier of the document is ISO/IEC 1539-1:2023. The -1 means Part 
1, not a revision number. Indeed they may tack on a .1 at the end of the 
identifier. Once a corrigendum is published, the current standard 
automatically includes its changes, so F2023 with Corrigendum 1 is still 
F2023. The difference now is that we'll have a new document to 
reference, rather than trying to mentally merge the changes. I expect 
that implementers will like this change as well.`

I will be on vacation during the two days of webinars ISO is offering on 
the revised directives, but I'll get some direction on this question 
when I can.

Steve

On 5/7/2026 1:00 PM, Clune, Thomas L. (GSFC-6101) wrote:
> Hi Steve,
>
> I like this (aside from the extra work for Malcolm). It is much more 
> in line with how we manage software releases.
>
> Question: does the standard itself then get a “patch” number.  E.g., 
> F2023.1?    Otherwise “F2023" is ambiguous / time-dependent.   (I know 
> there will be an internal document number that disambiguates, but 
> would be nice to have something for public references.)
>
> Cheers,
>
>  *
>     Tom
>
>
> __ <https://www.nasa.gov/>
> 	
> 	
> *Thomas Clune*
> *Lead, Software Infrastructure*
> Global Modeling and Assimilation Office
> NASA Goddard Space Flight Center
> MS 610.1
> 8800 Greenbelt RD, Greenbelt, MD 20771
> [email-masked] <mailto:[email-masked]>
>
>